function [ x_dot ] = compute_x_dot( tau,x,const )

  x_dot(1) = x(2);   
  x_dot(2) = ((const.B_44*x(2))...
             - ((const.C_44*x(1))...
               *(const.GM_m+const.GM_a*x(5)))...
             + (const.K_phi3*(x(1)^3)))/(const.Ix_A44);
  x_dot(3) = (tau-const.B_11*abs(x(3))*x(3))/(const.m_A11);
  x_dot(4) = 0;
  x_dot(5) = x(6);
  x_dot(6) = -x(5)*((x(4)+(x(3)*x(4)^2)/const.g)^2)...
             + (x(4)*x(6)/(x(3)*x(4)+const.g))...
               *((tau-const.B_11*x(3))/(const.m_A11));
  x_dot(7) = x(8);
  x_dot(8) = -(const.omega_0^2*x(7))...
             - (2*const.lambda*const.omega_0*x(8))...
             + (const.K_w*0.1*randn(1));
       
end