function [ delta_c ] = compute_rudder_angle( U,const )
%Heading Autopilot
%
% COMPUTE_RUDDER_ANGLE retuns rudder angle delta_c
%
% [ delta_c ] = compute_rudder_angle( X,const )
%           X - system state
%       const - a struct with constant values 

 delta_c = - const.K_p *( U(2)-const.psi_d )...
           - const.K_d * U(3);
end